import 'dart:ui';

import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/visuals/visual_area.dart';
import 'package:fis_measure/interfaces/process/workspace/point_info.dart';

import '../items/item.dart';
import '../items/item_feature.dart';

class Ellipse extends MeasureItem<EllipseFeature> {
  Ellipse(ItemMeta meta, IMeasureItem? parent) : super(meta, parent);

  @override
  bool onExecuteMouse(PointInfo args) {
    if (feature == null) {
      if (args.hostVisualArea != null) {
        feature = EllipseFeature(this);
        feature!.hostVisualArea = args.hostVisualArea!;
      }
    }
    return true;
  }

  @override
  bool onExecuteTouch(PointInfo args) {
    return true;
  }
}

class EllipseFeature extends MeasureItemFeature {
  EllipseFeature(IMeasureItem refItem) : super(refItem);

  @override
  void paint(Canvas canvas, Size size) {
    // TODO: implement paint
  }
}
